from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String

Proteins_Not_In_Library_Py_V0_1_0 = CommandToolBuilder(tool="proteins_not_in_library.py", base_command=["proteins_not_in_library.py"], inputs=[ToolInput(tag="in_a_fasta_file", input_type=File(optional=True), prefix="--fasta", doc=InputDocumentation(doc="A fasta file")), ToolInput(tag="in_csv_file_proteinname", input_type=File(optional=True), prefix="--in", doc=InputDocumentation(doc="A csv file with the column ProteinName")), ToolInput(tag="in_csv_output_file", input_type=File(optional=True), prefix="--out", doc=InputDocumentation(doc="A csv output file containing all proteins not in the\ncsv file\n")), ToolInput(tag="in_var_3", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_it", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_script", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_the", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_will", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_8", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_search", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_to", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_display", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_file", input_type=File(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_for", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_and", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_which", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_column", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_proteins", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_then", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_named", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_print", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_were", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_protein_name", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_not", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_24", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_all", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_present", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_extra", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_28", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_29", input_type=String(), position=10, doc=InputDocumentation(doc="")), ToolInput(tag="in_csv", input_type=String(), position=10, doc=InputDocumentation(doc="")), ToolInput(tag="in_entries", input_type=String(), position=10, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_csv_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_csv_output_file", type_hint=File()), doc=OutputDocumentation(doc="A csv output file containing all proteins not in the\ncsv file\n"))], container="quay.io/biocontainers/msproteomicstools:0.11.0--py27ha968a36_1", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Proteins_Not_In_Library_Py_V0_1_0().translate("wdl")

